# Define version and release number
%define php_common_major 8
%define php_common_sub 4
%define phplong %{php_common_major}.%{php_common_sub}
%define modname translit
%define soname %{modname}.so
%define inifile A33_%{modname}.ini
%define incdir %(php-config%{phplong} --include-dir)
%define extdir %(php-config%{phplong} --extension-dir)

Summary:	Transliterates non-latin character sets to latin
Name:		php-%{modname}
Version:	0.7.1
Release:	%mkrel 14
Group:		Development/PHP
License:	PHP License
URL:		https://derickrethans.nl/translit.php
Source0:	https://github.com/derickr/pecl-translit/archive/%{version}.tar.gz
BuildRequires:	php-devel >= 3:%{phplong}.0
Epoch:		1

%description
%{modname}

%package -n php%{phplong}-%{modname}
Summary:	Transliterates non-latin character sets to latin
Group:		Development/PHP
Requires:	php >= 3:%{phplong}.0
Requires:	php-common = 3:%{phplong}
Provides:	php-%{modname} = %{epoch}:%{version}

%description -n php%{phplong}-%{modname}
This extension allows you to transliterate text in non-latin characters (such
as Chinese, Cyrillic, Greek etc) to latin characters. Besides the
transliteration the extension also contains filters to upper- and lowercase
Latin, Cyrillic and Greek, and perform special forms of transliteration such as
converting ligatures such as the Norwegian "æ" to "ae" and normalizing
punctuation and spacing.

%prep

%setup -q -n pecl-translit-%{version}

%build
%serverbuild

phpize
aclocal
autoconf
%configure \
    --enable-%{modname}=shared,%{_prefix}

%make_build
mv modules/*.so .

%install

install -d %{buildroot}%{extdir}
install -d %{buildroot}%{_sysconfdir}/php.d

install -m755 %{soname} %{buildroot}%{extdir}/

cat > %{buildroot}%{_sysconfdir}/php.d/%{inifile} << EOF
extension = %{modname}
EOF

%files -n php%{phplong}-%{modname}
%doc package.xml
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{extdir}/%{soname}


%changelog
* Fri Sep 13 2024 mokraemer <mokraemer> 1:0.7.1-14.mga10
+ Revision: 2095779
- rebuild for php 8.4 release

* Wed Sep 04 2024 mokraemer <mokraemer> 1:0.7.1-13.mga10
+ Revision: 2093010
- remove old workaround
- remove old workaround

* Sat Jan 20 2024 mokraemer <mokraemer> 1:0.7.1-12.mga10
+ Revision: 2032735
- rebuild for include path change

* Thu Jan 18 2024 mokraemer <mokraemer> 1:0.7.1-11.mga10
+ Revision: 2031959
- support multiple php-versions
- prepare multi-php

* Fri Sep 08 2023 mokraemer <mokraemer> 1:0.7.1-9.mga10
+ Revision: 1985183
- rebuild for php 8.3

* Fri Nov 04 2022 mokraemer <mokraemer> 1:0.7.1-8.mga9
+ Revision: 1902355
+ rebuild (emptylog)

* Wed Aug 24 2022 mokraemer <mokraemer> 1:0.7.1-7.mga9
+ Revision: 1879791
- update extension for new directories

* Fri Jul 22 2022 mokraemer <mokraemer> 1:0.7.1-6.mga9
+ Revision: 1869968
- fix dependancy error

* Thu Jul 21 2022 mokraemer <mokraemer> 1:0.7.1-5.mga9
+ Revision: 1869837
- rebuild for php 8.2

* Thu Mar 17 2022 umeabot <umeabot> 1:0.7.1-4.mga9
+ Revision: 1796797
- Mageia 9 Mass Rebuild

* Fri Nov 26 2021 mokraemer <mokraemer> 1:0.7.1-3.mga9
+ Revision: 1759383
- rebuild for php 8.1

* Sun Nov 29 2020 mokraemer <mokraemer> 1:0.7.1-2.mga8
+ Revision: 1650226
+ rebuild (emptylog)

* Fri Oct 02 2020 mokraemer <mokraemer> 1:0.7.1-1.mga8
+ Revision: 1631596
- new version 0.7.1

* Thu Jun 18 2020 mokraemer <mokraemer> 1:0.7.0-2.mga8
+ Revision: 1596222
- fix dep to current version

* Mon Feb 24 2020 mokraemer <mokraemer> 1:0.7.0-1.mga8
+ Revision: 1550075
- new version 0.7.0

* Tue Feb 18 2020 umeabot <umeabot> 1:0.6.2-10.mga8
+ Revision: 1539001
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Nov 29 2019 mokraemer <mokraemer> 1:0.6.2-9.mga8
+ Revision: 1463545
+ rebuild (emptylog)

* Mon Oct 21 2019 mokraemer <mokraemer> 1:0.6.2-8.mga8
+ Revision: 1454936
- removed dirname

* Wed Dec 12 2018 mokraemer <mokraemer> 1:0.6.2-6.mga7
+ Revision: 1340465
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1:0.6.2-5.mga7
+ Revision: 1325892
- updated requirements

* Sun Sep 23 2018 umeabot <umeabot> 1:0.6.2-4.mga7
+ Revision: 1300247
- Mageia 7 Mass Rebuild

* Wed Apr 11 2018 pterjan <pterjan> 1:0.6.2-3.mga7
+ Revision: 1217400
- Fix encoding
- Rebuild for php 7.2, it was built with old php on arm

* Sun Dec 03 2017 mokraemer <mokraemer> 1:0.6.2-2.mga7
+ Revision: 1181035
+ rebuild (emptylog)

* Thu Nov 30 2017 mokraemer <mokraemer> 1:0.6.2-1.mga7
+ Revision: 1180342
- new version
+ luigiwalser <luigiwalser>
- httpd restart is handled by filetriggers now
+ spuhler <spuhler>
- imported package php-translit

